Bug 162557 - KDE does not start blank screensaver when running on battery
KDE does not start blank screensaver when running on battery
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-06 06:19 EDT by Vesko Tomov
Modified: 2008-02-17 16:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-17 16:20:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vesko Tomov 2005-07-06 06:19:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.1 (like Gecko)

Description of problem:
I am running Fedora 4 on a laptop.  Under klaptop, I have checked the option  
to use a blank screensaver when running on battery.  Under Desktop setup, I  
have picked some random screensaver (it can be any particular screensaver) to  
start after 5 minutes. 
 
When I INITIALLY perform the above set-up, the screensaver behaves as it  
should: the non-blank screensaver starts after 5 minutes (or when I click the  
"lock session" applet) while the laptop is plugged in; when I unplug it, the  
blank screensaver starts when it should.  
  
However, these setting seem to be forgotten after I restart the cmputer and  
log back into KDE.  The non-blank screensaver gets turned on, regardless of  
whether the computer is plugged in or not. 
 

Version-Release number of selected component (if applicable):
3.4.1-0.fc4.1


How reproducible:
Always

Steps to Reproduce:
1. Konfigure klaptop to use blank screensaver when running on battery.   
2. Pick a screensaver (.e.g. "clock"); set it to start after X minutes.   
3. Plug in computer; wait X min or lock session --> "clock" screensaver starts   
4. Unplug computer; wait X min or lock session --> "blank" screensaver starts   
5. Reboot; log back into KDE   
6. Repeat step 4. (alternatively, boot on battery) 

Actual Results:  "Clock" screensaver starts. 

Expected Results:  "Blank" screensaver should start. 
 

Additional info:

Ideally I would like the screen to simply turn off when running on battery  
(the blank screensaver simply projects a uniform color of the user's choice  
while leaving the backlight on).  However, there is no way, under klaptop, to  
set different timings for screen power management based on power status.   
Thanks!
Comment 1 Christian Iseli 2007-01-22 05:32:19 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-02-17 16:20:10 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.